include:
  - project: 'hftm/in2017/transferprojekt/ci'
    file: 'gitlab-ci.yml'

build:
  stage: build
  image: node:lts-alpine
  script:
    - yarn install
    - yarn run build
  cache:
    key: $CI_COMMIT_REF_SLUG
    paths:
      - node_modules/
  artifacts:
    expire_in: 30d
    paths:
      - dist/      

test:
  stage: test
  image: node:lts-alpine
  needs: ["build"]
  cache:
    key: $CI_COMMIT_REF_SLUG
    paths:
      - node_modules/
  script:
    - yarn install
    - yarn run test:unit

deploy:master:
  extends: .deploy:master
  variables:
    ENVIRONMENT_URL: $APP_DOMAIN
    
deploy:dev:
  extends: .deploy:dev
  variables:
    ENVIRONMENT_URL: dev.$APP_DOMAIN
